// clntname.cpp : implementation file
//

#include "stdafx.h"
#include "credguic.h"
#include "clntname.h"

// Default name of the CICS Client ini file
#define INIFILENAME "\\cicscli\\bin\\cicscli.ini"
#define MAX_LINE_LEN 512

#include <stdio.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// clntname

IMPLEMENT_DYNCREATE(clntname, CDocument)

clntname::clntname()
{
}

BOOL clntname::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	return TRUE;
}

clntname::~clntname()
{
}


BEGIN_MESSAGE_MAP(clntname, CDocument)
	//{{AFX_MSG_MAP(clntname)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// clntname diagnostics

#ifdef _DEBUG
void clntname::AssertValid() const
{
	CDocument::AssertValid();
}

void clntname::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// clntname serialization

void clntname::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// clntname commands

void clntname::GetClientName(CString& clientName)
{
	FILE *inifile;
	char iniFileLine[MAX_LINE_LEN];
	char clname[5];

	// Clear the client name
	clientName.Empty();
	memset(clname, '\0', sizeof(clname));

	if ((inifile = fopen(INIFILENAME, "r")) != NULL)
	{
		while (1)
		{
			// read the next line in the source file 
			if (fgets(iniFileLine, MAX_LINE_LEN, inifile) == NULL)
			{
				 break;
			}

			// Check for comments
			if (iniFileLine[0] != ';')
			{
				if (memcmp(iniFileLine, "Client = ", 9) == 0)
				{
					memcpy(clname, iniFileLine, 4);
					clientName = clname;
					break;
				}

			}
		}

		fclose(inifile);
	}
}
